<?php

namespace App\Entity;

use Doctrine\ORM\Mapping as ORM;

trait SynchronizedTrait
{
    #[ORM\Column(type: 'boolean', nullable: true)]
    private bool $synchronized = false;

    public function isSynchronized(): ?bool
    {
        return $this->synchronized;
    }

    public function setSynchronized(?bool $synchronized): self
    {
        $this->synchronized = $synchronized;

        return $this;
    }
}
